### Enumeration

# Shumate StyleError

#### Declaration

    error-domain Shumate.StyleError

#### Description [src]

Error codes that occurs while parsing the style in `ShumateVectorRenderer`.

#### Members

`SHUMATE_STYLE_ERROR_FAILED`

  An unspecified error occurred during the operation.

  - Value: `0`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_MALFORMED_STYLE`

  A JSON node in the style has the wrong type (e.g. an object where there should be an array).

  - Value: `1`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_UNSUPPORTED_LAYER`

  An unsupported layer type was encountered.

  - Value: `2`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_INVALID_EXPRESSION`

  An invalid or unrecognized expression was encountered.

  - Value: `3`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_SUPPORT_OMITTED`

  Libshumate was compiled without vector tile support. As of 1.6, vector tile support is always enabled and this error never occurs.

  - Value: `4`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_UNSUPPORTED`

  An unsupported style spec feature was encountered.

  - Value: `5`
  - Available since: 1.0

#### Type functions

###### shumate_style_error_quark

No description available.